> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulated Device Credentials



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/device-simulator/devices/{device_id}/credentials
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/device-simulator/devices/{device_id}/credentials:
    post:
      tags:
        - Device Simulator
      summary: Simulated Device Credentials
      operationId: integrations_api_api_v2_device_simulator_simulated_device_credentials
      parameters:
        - in: path
          name: device_id
          schema:
            title: Device Id
            type: integer
          required: true
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialInput'
        required: true
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  schemas:
    CredentialInput:
      additionalProperties: false
      properties:
        field:
          $ref: '#/components/schemas/CredentialField'
      required:
        - field
      title: CredentialInput
      type: object
    CredentialField:
      enum:
        - username
        - password
        - both
      title: CredentialField
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````